Subject: Deployed IPv6 router behaviour with prefixes > /64

From: RJ Atkinson <[email-masked]>
Date: Thu, 13 Mar 2014 15:41:04 -0400

Earlier today, Steve Blake wrote, in part:
> Without violating NDAs, I can say with confidence that there are
> billions of dollars worth of deployed campus/enterprise/datacenter
> Ethernet gear that can only support a handful of /64 - /127 prefixes
> in dataplane HW.

Even earlier today, Steve Blake separately wrote:
> Use a handful of them (/65 - /128), or an arbitrarily large fraction
> of your total prefixes?  The former can be accommodated fairly cheaply;
> the latter impacts total cost/power/performance.  Specifically, as a
> dataplane designer I have to budget for more FIB memory and lookup
> cycles or wider TCAM entries or more on-chip table memory (which might
> not be efficiently used for <= /64 prefixes).

Earlier today, Lorenzo Colitti wrote, in part:
> Oh, you *can* use them [i.e., "IPv6 prefixes longer than /64"]. 
> You just can't use very many of them, 
> because they get deaggregated into /128 matches. :-D

...

Earlier today, Lorenzo Colitti separately wrote:
> If it's the provider I think you mean, then they did it [i.e., "use /126"]
> because their equipment did not support /127.

+10 

As I said during the IETF IPv6 WG meeting last week,
I don't expect the above to change anytime soon.

For a given number of entries, wider TCAMs (or similar parts)
will require more gates, will be more complex to build/debug, 
and very likely will require a larger chip die.  All that means
those parts would cost a great deal more to include in a router,
whether one uses commodity ASICs/FPGAs or designs one's own.

Yours,

Ran